<?
if (isset($ID)) {
  $goods = $sql -> fetch("SELECT * FROM `shop_goods` WHERE `id` = '$ID' LIMIT 1");
  $file = unserialize($goods['file']);
}

if (!isset($goods['id'])){
  die(__('К сожалению товар не найден или он был удален'));
}

if ($goods['unlink'] == 1 && $level < 3) {
  die(__('Ошибка: Товар удален'));
}

if ($goods['id_user'] != $user['id'] && $level < 2) {
  die(__('Ошибка: Доступ запрещен'));
}

$system['title'] = text($goods['name']) . ' | ' . __('Покупатели');
require SYS . 'header.php';

$k_post = $sql -> selectCount("SELECT COUNT(*) FROM `shop_pays` WHERE `id_goods` = '$goods[id]' AND `pays` = '1'");

if ($k_post == 0) {
  ?>
  <div class="alert" style="margin: 2px;"><?= __('Список покупателей пуст')?></div>
  <?
} else {
  $k_page = k_page($k_post, $system['page_str']);
  $page = page($k_page);
  $start =  $system['page_str'] * $page -  $system['page_str'];

  $array = $sql -> select("SELECT * FROM `shop_pays` WHERE `id_goods` = '$goods[id]' AND `pays` = '1' ORDER BY `time_pays` DESC LIMIT $start, $system[page_str]");

  foreach ($array AS $post) {
    $num++;
    ?>
    <div class="<?= ($num % 2 ? "nav1" : "nav2")?>">
      <?= avatar($post['id_user'], 1)?> <?= login($post['id_user'], 1)?><br /> 
      
      <?= __('Продажа')?>: <?= vremja($post['time_pays'])?><br />      
      
      <?= __('Состояние')?>: 
      <?
      if ($post['out_wmr'] == 0) {
        ?><span style="color: blue;"><?= __('Не завершена')?></span><?
      } elseif ($post['out_wmr'] == 1) {
        ?><span style="color: green;"><?= __('Завершена')?></span><br /><?
      } elseif ($post['out_wmr'] == 2) {
        ?><span style="color: red;"><?= __('Приостановлена')?></span><?
      }
      ?>
      <a href = '/?func=mod.mailspy&pr=<?=$post['id_author']?>&se=<?=$post['id_user']?>'>Читать приват</a>
      
    </div>
    <?
  }

  if ($k_page > 1) { 
    str('/?func=' . $func . '&amp;id=' . $goods['id'] . '&amp;', $k_page, $page);
  }
}  

if ($level == 4) {
    ?>
    <div class="nav2">
    <a href="/?func=user.cash&amp;id=<?= $goods['id_user']?>"><i class="icon-th"></i> <?= __('Касса продавца')?></a><br />
    </div>   
    <?
}
?>
<div class="foot">
&laquo; <a href="/goods/<?= $goods['id']?>"><?= __('На страницу товара')?></a>
</div>